//
//  ItemSeriesEpisodeIconView.swift
//  Jel
//
//  Created by zerocool on 2/14/24.
//

import SwiftUI
import JellyfinKit
import ExpandableText

struct ItemSeriesEpisodeIconView: View {
  var item: BaseItemDto
  
  @EnvironmentObject var size: ScreenSize
  
  var iconWidthMultiplier: CGFloat = 0.5
  
  var body: some View {
    VStack(alignment: .leading) {
      HStack {
        ItemIconView(item: item,
                     width: (size.size.width * iconWidthMultiplier),
                     height: (size.size.width * iconWidthMultiplier) / 1.7,
                     contentMode: .fill)
        
        VStack(alignment: .leading) {
          Text("Episode \(item.indexNumber ?? 0)")
            .foregroundStyle(.secondary)
            .font(.callout)
          
          Text(item.name ?? "---")
            .bold()
        }
        .frame(height: (size.size.width * iconWidthMultiplier) / 1.7)
      }
      ExpandableText((item.overviewNL ?? "").replacingOccurrences(of: "<br>", with: "\n"))
        .foregroundColor(.secondary)
    }
    .padding(.vertical)
  }
}

//#Preview {
//    ItemSeriesEpisodeIconView()
//}
